<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Formatters/Dot/DotFileGenerator.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Formatters.Dot.DotFileGenerator</title>
<link href="../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../../Synopsis.html" >Synopsis</a>.<a href="../../Formatters.html" >Formatters</a>.<a href="../Dot.html" >Dot</a>
</div><div class="class-name">class DotFileGenerator

</div><div class="links"><div class="file">File: <a href="../../../../File/Synopsis/Formatters/Dot.py.html" target="detail">../Synopsis/Formatters/Dot.py</a></div> <div class="xref"><a href="../../../../XRef/xref8.html#Synopsis.Formatters.Dot.DotFileGenerator" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dot.py.html#line62" ><img src="../../../../src-py.png" alt="source code"/></a></div></div>  <img alt="DotFileGenerator-inheritance" src="DotFileGenerator-inheritance.png" hspace="8" vspace="8" border="0" usemap="#DotFileGenerator-inheritance_map" />
<map name="DotFileGenerator-inheritance_map"><area alt="Scopes/Synopsis/Formatters/Dot/InheritanceGenerator.html" href="InheritanceGenerator.html" shape="rect" coords="5, 81, 288, 105" />
<area alt="Scopes/Synopsis/Formatters/Dot/FileDependencyGenerator.html" href="FileDependencyGenerator.html" shape="rect" coords="312, 81, 624, 105" />
</map>
 <div class="doc">A class that encapsulates the dot file generation</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="__os">__os</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dot.py.html#line66" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="direction">direction</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dot.py.html#line67" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="bgcolor">bgcolor</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dot.py.html#line68" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="light_color">light_color</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dot.py.html#line69" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="nodes">nodes</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dot.py.html#line70" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="__init__">__init__</a>(<span class="variable">self</span>, <span class="variable">os</span>, <span class="variable">direction</span>, <span class="variable">bgcolor</span>)  </div> <div class="xref"><a href="../../../../XRef/xref8.html#Synopsis.Formatters.Dot.DotFileGenerator.__init__" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dot.py.html#line64" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="write">write</a>(<span class="variable">self</span>, <span class="variable">text</span>)  </div> <div class="xref"><a href="../../../../XRef/xref8.html#Synopsis.Formatters.Dot.DotFileGenerator.write" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dot.py.html#line72" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="DotFileGenerator.html#write_node" >write_node</a></span>(<span class="variable">self</span>, <span class="variable">ref</span>, <span class="variable">name</span>, <span class="variable">label</span>, <span class="keyword">*</span> <span class="keyword">*</span> <span class="variable">attr</span>)  </div> <div class="xref"><a href="../../../../XRef/xref8.html#Synopsis.Formatters.Dot.DotFileGenerator.write_node" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dot.py.html#line74" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="write_edge">write_edge</a>(<span class="variable">self</span>, <span class="variable">parent</span>, <span class="variable">child</span>, <span class="keyword">*</span> <span class="keyword">*</span> <span class="variable">attr</span>)  </div> <div class="xref"><a href="../../../../XRef/xref8.html#Synopsis.Formatters.Dot.DotFileGenerator.write_edge" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dot.py.html#line95" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Methods Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="write_node">write_node</a>(<span class="variable">self</span>, <span class="variable">ref</span>, <span class="variable">name</span>, <span class="variable">label</span>, <span class="keyword">*</span> <span class="keyword">*</span> <span class="variable">attr</span>)  </div> <div class="xref"><a href="../../../../XRef/xref8.html#Synopsis.Formatters.Dot.DotFileGenerator.write_node" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dot.py.html#line74" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">helper method to generate output for a given node</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:26:57 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
